# Create a launcher and updater for Linux (.sh)

Source: `R/radiant.R`
`lin_launcher.Rd`

Create a launcher and updater for Linux (.sh)

    lin_launcher(
      app = c("radiant", "radiant.data", "radiant.design", "radiant.basics", "radiant.model",
        "radiant.multivariate"),
      port = 4444,
      pdir = Sys.getenv("HOME")
    )

## Arguments

app

  App to run when the desktop icon is double-clicked ("radiant", "radiant.data", etc.). Default is "radiant"

port

  Port to use for shiny::runApp (e.g, port = 4444)

pdir

  Project directory to use. Default is Sys.getenv("HOME")

## Details

On Linux a file named 'radiant.sh' and one named 'update_radiant.sh' will be put on the desktop. Double-click the file to launch the specified Radiant app or update Radiant to the latest version

## Examples

    if (FALSE) {
    radiant::lin_launcher("radiant")
    }